﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Drawing;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Colormap colormap = Colormap.Turbo;

            Random random = new Random(0);

            for(int i = 0; i < 100; i++)
            {
                plot.AddMarker
                (
                    x     : random.NextDouble(),
                    y     : random.NextDouble(),
                    size  : 5 + random.NextDouble() * 20,
                    shape : Marker.Random(random),
                    color : colormap.RandomColor(random)
                );
            }

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}